<div class="col-lg-12 animated fadeInRight">

    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h3>
                            <strong>Manage Additional Services</strong>
                        </h3>

                        <div class="fm-row">
                            <form #form="ngForm" method="get" class="form form-horizontal">
                                <div class="row">
                                    <div class="col-xs-3">

                                        <input [(ngModel)]="name" (keydown.enter)="getServices()" autocomplete="off"
                                            name="name" class="form-control input-sm-3" placeholder="Search For Name" />
                                    </div>

                                    <div class="col-xs-3">
                                        <select [(ngModel)]="service_type" name="service_type" class="form-control"
                                            placeholder="Select type">
                                            <option Value="" hidden> Select type </option>
                                            <option Value="VEHICLE"> VEHICLE</option>
                                            <option Value="DRIVER"> DRIVER</option>
                                        </select>
                                    </div>
                                    <div class="">
                                        <div class="col-xs-6 text-right">
                                            <button type="get" (click)="getServices();"
                                                class="btn btn-sm btn-primary blue">
                                                <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                                            <button class="btn btn-sm btn-primary green" (click)="refetchVehicle()"><i aria-hidden="true"
                                                    class="fa fa-refresh"></i> Refresh</button>
                                            <button class="btn btn-sm btn-primary red" (click)="reset()"><i aria-hidden="true"
                                                    class="fa fa-eraser"></i> Reset filters</button>
                                            <ng-container *ngIf="aclAdd">
                                                <button type="submit" class="btn btn-primary btn-sm blue"
                                                    [routerLink]="['/admin/fleet/servicegroup/add']">Add New
                                                    Record</button>
                                            </ng-container>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>

                    <div class="ibox-content">
                        <div class="table-responsive">
                            <table aria-describedby="Manage Additional Services" class="table table-striped table-bordered table-responsive">
                                <thead>
                                    <tr>

                                        <th scope="col" (click)="sort('name')">Name
                                            <span>
                                                <i aria-hidden="true" class="fa fa-sort-asc fa_custom up"
                                                    [ngClass]="{'sorted-color': sortOrder=='desc' && key =='name' }"></i>
                                                <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"
                                                    [ngClass]="{'sorted-color': sortOrder=='asc' && key =='name' }"></i>
                                            </span>
                                        </th>
                                        <th scope="col" (click)="sort('service_type')">Service Type
                                            <span>
                                                <i aria-hidden="true" class="fa fa-sort-asc fa_custom up"
                                                    [ngClass]="{'sorted-color': sortOrder=='desc' && key =='service_type' }"></i>
                                                <i aria-hidden="true" class="fa fa-sort-desc fa_custom down"
                                                    [ngClass]="{'sorted-color': sortOrder=='asc' && key =='service_type' }"></i>
                                            </span>
                                        </th>
                                        <th scope="col">Date</th>
                                        <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <span *ngIf="searchSubmit">
                                        <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                                    </span>
                                    <tr *ngFor="let serviceGroup of serviceGroupData">

                                        <td>{{serviceGroup.name}}</td>
                                        <td>{{serviceGroup.service_type}}</td>
                                        <td>{{serviceGroup.updated_at | date }}</td>
                                        <td *ngIf="aclEdit || aclDelete">
                                            <span *ngIf="aclEdit" matTooltip="Edit">
                                                <a [routerLink]="['/admin/fleet/servicegroup/edit/', serviceGroup._id]">
                                                    <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                                                </a>
                                            </span>
                                            &nbsp; &nbsp;&nbsp;
                                            <span *ngIf="aclDelete" matTooltip="Delete">
                                                <a (click)="openDialog(serviceGroup._id)">
                                                    <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                                                </a>
                                            </span>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>

                            <div class="container-fluid" *ngIf="serviceGroupLength==0 ">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                            No records found
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>

                    <br>
                    <div class="container-fluid" *ngIf="serviceGroupLength>0">
                        <div class="row col-md-12 text-center">
                            <div class="dataTables_info1">
                                <div *ngIf="del">
                                    <ngb-pagination [collectionSize]="serviceGroupLength"
                                        (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize"
                                        aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                                    </ngb-pagination>
                                </div>
                                <div *ngIf="!del">
                                    <ngb-pagination [collectionSize]="serviceGroupLength"
                                        (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize"
                                        aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                                    </ngb-pagination>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>